<Page x:Class="homework_12_6.Employee.Details.EmployeeDetails"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
      mc:Ignorable="d"
      Title="EmployeeDetails" Height="600" Width="800">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition />
            <RowDefinition Height="Auto" />
        </Grid.RowDefinitions>
        <TextBlock HorizontalAlignment="Center">Employee Details</TextBlock>
        <StackPanel Grid.Row="1">
            <Label>Firstname</Label>
            <TextBlock x:Name="EmployeeFirstName" Text="{Binding ElementName=_employee, Path=Firstname}" />
            <Label>Lastname</Label>
            <TextBlock x:Name="EmployeeLastName" Text="{Binding ElementName=_employee, Path=Lastname}" />
            <Label>Age</Label>
            <TextBlock x:Name="EmployeeAge" Text="{Binding ElementName=_employee, Path=Age}" />
            <Label>Salary</Label>
            <TextBlock x:Name="EmployeeSalary" Text="{Binding ElementName=_employee, Path=Salary}" />
            <Label>Position</Label>
            <TextBlock x:Name="EmployeeType" Text="{Binding ElementName=_employee, Path=EmployeeType}" />
            <Label>DepartmentId</Label>
            <TextBlock x:Name="DepartmentId" Text="{Binding ElementName=_employee, Path=DepartmentId, Mode=OneTime}" />
        </StackPanel>
    </Grid>
</Page>